Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 135435 - nxserver freenx Can't connect /usr/NX/bin/nxserver: line 1077
Summary: nxserver freenx Can't connect /usr/NX/bin/nxserver: line 1077
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Other
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-03 13:47 UTC by R. May
Modified: 2006-11-13 00:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R. May 2006-06-03 13:47:15 UTC
Hello,

I can't connect to my machine with the nxserver freenx from Portage


NX> 1000 NXNODE - Version 1.5.0-50-SVN OS (GPL)
NX> 700 Session id: localhost-1000-F5B0CCD171DC40CCA0C68C4F33138FC1
NX> 705 Session display: 1000
NX> 703 Session type: unix-kde
NX> 701 Proxy cookie: 261f70166ff62f09bd886aa757e1907d
NX> 702 Proxy IP: 127.0.0.1
NX> 706 Agent cookie: 261f70166ff62f09bd886aa757e1907d
NX> 704 Session cache: unix-kde
NX> 707 SSL tunneling: 1
NX> 105 NX> 596 Session startup failed.
NX> 1004 Error: NX Agent exited with exit status 1.
NX> 1006 Session status: closed
/usr/NX/bin/nxserver: line 1077:  7290 Terminated              sleep $AGENT_STARTUP_TIMEOUT
Can't open /usr/NX/var/db/running/sessionId{F5B0CCD171DC40CCA0C68C4F33138FC1}: No such file or directory.
mv: cannot stat `/usr/NX/var/db/running/sessionId{F5B0CCD171DC40CCA0C68C4F33138FC1}': No such file or directory
Killed by signal 15.
Comment 1 Jon 2006-07-08 17:01:01 UTC
Sorry for my late reply.

Are you using an amd64 processor? This looks like an nxagent error and this is common for amd64 systems. If you have such a system, can you try to use nx-x11-bin and see if that resolves it?

Other than that, I don't know what it could be. If your system is not amd64, can you post your system specs? The NX packages you have installed?

Thanks.
Comment 2 R. May 2006-07-09 00:19:40 UTC
Hello,

no I don't use a AMD64 System. But I have emerged

Server and Client at the same time

emerge net-misc/nxserver-freenx -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-misc/nxserver-freenx-0.5.0.20060311-r1  USE="arts cups esd nxclient" 0 kB


Is this possible?

With the older one it also not working.
R. R.
Comment 3 FieldySnuts 2006-09-22 18:53:09 UTC
I am also seeing this issue after an emerge -e world. Quite frustrating.

I am not on amd64.

Portage 2.1.2_pre1 (default-linux/x86/2006.1/desktop, gcc-4.1.1/vanilla, glibc-2.4-r3, 2.6.17.13-reiser4-3 i686)
=================================================================
System uname: 2.6.17.13-reiser4-3 i686 AMD Athlon(TM) XP 1800+
Gentoo Base System version 1.12.5
Last Sync: Sat, 23 Sep 2006 00:50:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-admin/eselect-compiler: 2.0.0_rc2-r1
dev-java/java-config: 1.3.6-r1, 2.0.28-r1
dev-lang/python:     2.3.5, 2.4.3-r3
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/share/X11/xkb /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://gentoo.chem.wisc.edu/gentoo/ ftp://gentoo.chem.wisc.edu/gentoo/ ftp://gentoo.mirrors.tds.net/gentoo http://mirror.datapipe.net/gentoo"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://156.56.247.193/gentoo-portage"
USE="x86 3dnow X alsa am berkdb bitmap-fonts bzip2 cairo cdr chroot cli crypt dbus dlloader dri dv dvd dvdr eds elibc_glibc emboss encode fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal input_devices_keyboard input_devices_mouse isdnlog jpeg kde kdeenablefinal kernel_linux libg++ linguas_en mad mikmod mmx mp3 mpeg ncurses nls nptl nptlonly ogg oggvorbis opengl oss pam pcre pdflib perl png ppds pppd pwdb python qt3 qt4 quicktime readline reflection sdl session spell spl sse ssl tiff truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_nv vorbis win32codecs xml xmms xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Jari-Matti Mäkelä 2006-10-10 05:01:33 UTC
I could be that you have compatibility problems with the nx server and client. See http://bugs.gentoo.org/show_bug.cgi?id=149298.
Comment 5 Stuart Herbert (RETIRED) gentoo-dev 2006-11-13 00:08:21 UTC
Hi,

Please test the latest nxserver-freenx package, which is now in Portage.

Best regards,
Stu